Katello - Refactor #24189

Update katello to use foreman upgrade task
07/06/2018 08:33 PM - Justin Sherrill

Status: Closed

Priority: Normal

Assignee: Justin Sherrill

Category: Upgrades

Target version: Katello 3.9.0

Branch: Pull request: https://github.com/Katello/katello/pull/750
ﬁitps://github.com/KateIIo/kateIIo-installer
/pull/657

Difficulty: Fixed in Releases:

Triaged: Yes Found in Releases:

Bugzilla link: Red Hat JIRA:

Description

Related to https://projects.theforeman.org/issues/21938

We should adapt katello to use it.

Related issues:
Blocked by Foreman - Refactor #21938: Single upgrade rake task

Blocks Katello - Tracker #23927: Convert sync plans to Foreman Tasks

Closed
Closed

Associated revisions

Revision beb176c2 - 09/05/2018 03:40 PM - Justin Sherrill

Fixes #24189 - use new foreman upgrade task

Revision dcc0f330 - 09/06/2018 04:49 PM - Justin Sherrill

Fixes #24189 - switch to foreman upgrade task

History

#1 - 07/06/2018 08:33 PM - Justin Sherrill
- Blocked by Refactor #21938: Single upgrade rake task added

#2 - 07/06/2018 08:34 PM - Justin Sherrill
- Blocks Tracker #23927: Convert sync plans to Foreman Tasks added

#3 - 07/06/2018 08:35 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7504 added

#4 - 07/06/2018 08:59 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello-installer/pull/657 added

#5 - 07/18/2018 05:44 PM - Jonathon Turel
- Target version set to Katello 3.8.0

- Triaged changed from No to Yes

#6 - 07/18/2018 05:46 PM - Justin Sherrill
- Target version changed from Katello 3.8.0 to Katello 3.9.0

Moving to 3.9, as the foreman pieces won't make 1.19
https://projects.theforeman.org/issues/21938

#7 - 09/05/2018 04:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed

Applied in changeset katello|beb176c2ad1b1a9390e920a549ae3bd014f0b504.
